/*!
 * Telegraft
 * Copyright(c) 2012 jquarry.com
 * MIT Licensed
 */

/**
 * Module dependencies.
 */

var fs = require('fs'),
		utils = require('./utils'),
		proto = require('./broadcast'),
		EventEmitter = require('events').EventEmitter;

// expose createBroadcast() as the module

exports = module.exports = createBroadcast;

/**
 * Framework version.
 */

exports.version = JSON.parse( fs.readFileSync( __dirname + '/../package.json', 'utf8' )).version;


/**
 * Create an telegraft broadcast
 *
 * @return {Function}
 * @api public
 */

function createBroadcast(recording) {

	function broadcast(){}
	
	utils.merge(broadcast, proto);
	utils.merge(broadcast, EventEmitter.prototype);

  broadcast.init();
  broadcast.record(recording);

  return broadcast;
}

/**
 * Alternative syntax
 */

exports.prepare = createBroadcast;

/**
 * Expose the prototypes.
 */

exports.broadcast = proto;