
var telegraft = require('../');



describe('broadcast', function(){
	describe('.frequency', function(){

  	it('must provide an array', function () {

  			var broadcast = telegraft();
  			
  			broadcast.frequency().length.should.equal(0);

  	})

  	it('must accept correct arguments to change', function () {

  			var testFrequencyUpdate = function(param, expectedLength){
  				var broadcast = telegraft();

  				broadcast.frequency(param).length.should.equal(expectedLength);
  			};
  			
  			testFrequencyUpdate(null, 0);
  			testFrequencyUpdate(456, 0);
  			testFrequencyUpdate('', 0);
  			testFrequencyUpdate(function(){}, 0);
  			testFrequencyUpdate({}, 0);
  			testFrequencyUpdate([], 0);
  			testFrequencyUpdate(['localhost', '1.2.3.4'], 2);
  			testFrequencyUpdate('localhost', 1);

  	})

    it('must add correct arguments to the queue', function () {

        var testFrequencyQueue = function(param, expectedLength){
          var broadcast = telegraft();

          broadcast.frequency(param);

          broadcast.queue().length.should.equal(expectedLength);
        };

        testFrequencyQueue('1.2.3.4', 1);
        testFrequencyQueue('', 0);
        testFrequencyQueue(['1', '2'], 1);

        
    });


  })

})