
var telegraft = require('../');



describe('broadcast', function(){
	describe('.queue', function(){

  	it('must provide an array', function () {

  			var broadcast = telegraft();
  			
  			broadcast.queue().length.should.equal(0);

  	})

  	it('must append to the queue', function () {

  			var broadcast = telegraft();
  			
  			broadcast.queue({
  				handler:'ssh',
  				data:'uptime'
  			}).length.should.equal(1);

  	})

    it('must return an item if an index is passed', function () {
        var broadcast = telegraft();

        broadcast.record('test');
        broadcast.record('test2');

        broadcast.queue(1).should.be.a('object');
        broadcast.queue(1).should.have.property('data', 'test2');
    });

  	it('must only accept valid objects as param', function () {

  			var provideTestParam = function(param, shouldAccept) {

  				var broadcast = telegraft();

	        broadcast.queue(param).length.should.equal(shouldAccept ? 1 : 0);

  			};

  			// ones that should not go through
  			provideTestParam(null, false);
  			provideTestParam("", false);
  			provideTestParam([], false);
  			provideTestParam({}, false);
  			provideTestParam(function() {}, false);
  			provideTestParam({
  				handler:'invalid'
  			}, false);
  			provideTestParam({
  				handler:'ssh',
  				data:null
  			}, false);

  			// and ones that should
  			provideTestParam({
  				handler:'ssh',
  				data:'uptime'
  			}, true);
  			provideTestParam({
  				handler:'announce',
  				data:'message'
  			}, true);
  			provideTestParam({
  				handler:'scp',
  				data:'test'
  			}, true);
  			
  			

  	})
  })

})