var telegraft = require('../'),
    _ = require('underscore');



describe('broadcast', function(){
	describe('.transmit', function(){

		it('must assign the frequency correctly', function () {

  			var broadcast = telegraft();

        broadcast.transmit('1.2.3.4').frequency()[0].should.equal('1.2.3.4');

  	});

    it('must accept a complete callback', function (done) {

        var broadcast = telegraft();

        broadcast.record(function(){

          broadcast.record('test1');
          broadcast.record('test2');
          broadcast.record('test3');

        }).transmit('1.2.3.4', function(){
          done();
        });

        broadcast.transmit('1.2.3.4').frequency()[0].should.equal('1.2.3.4');

    });

    it('must be able to walk the tranmission queue waiting for each tranmission to complete in order', function (done) {

        var broadcast = telegraft();

        broadcast._testing = true;

        var hosts = ['1.2.3.4', '5.6.7.8', '4.3.2.1'];

        broadcast.record(function(){

          broadcast.record('test1');
          broadcast.record('test2');
          broadcast.record('test3');

          broadcast.wait();

          broadcast.record('test4');
          broadcast.record('test5');

        }).transmit(hosts, function(){
          done();
        });

       

    });
    

    it('must be able to remove a host upon failure of a transmission', function () {

        

    });
  	
  })

})